/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * List of information linked to a stolen cash incident
 */
@ApiModel(description = "List of information linked to a stolen cash incident")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class StolenCashClaimInformation {
  @SerializedName("Select_Assault_Option_EqualsTo_0")
  private SelectAssaultOptionEqualsTo0 selectAssaultOptionEqualsTo0 = null;

  public StolenCashClaimInformation selectAssaultOptionEqualsTo0(SelectAssaultOptionEqualsTo0 selectAssaultOptionEqualsTo0) {
    this.selectAssaultOptionEqualsTo0 = selectAssaultOptionEqualsTo0;
    return this;
  }

   /**
   * Get selectAssaultOptionEqualsTo0
   * @return selectAssaultOptionEqualsTo0
  **/
  @ApiModelProperty(value = "")
  public SelectAssaultOptionEqualsTo0 getSelectAssaultOptionEqualsTo0() {
    return selectAssaultOptionEqualsTo0;
  }

  public void setSelectAssaultOptionEqualsTo0(SelectAssaultOptionEqualsTo0 selectAssaultOptionEqualsTo0) {
    this.selectAssaultOptionEqualsTo0 = selectAssaultOptionEqualsTo0;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    StolenCashClaimInformation stolenCashClaimInformation = (StolenCashClaimInformation) o;
    return Objects.equals(this.selectAssaultOptionEqualsTo0, stolenCashClaimInformation.selectAssaultOptionEqualsTo0);
  }

  @Override
  public int hashCode() {
    return Objects.hash(selectAssaultOptionEqualsTo0);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class StolenCashClaimInformation {\n");
    
    sb.append("    selectAssaultOptionEqualsTo0: ").append(toIndentedString(selectAssaultOptionEqualsTo0)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

